{{- if .Values.functions.enabled }}
---
apiVersion: gateway.networking.k8s.io/v1
kind: HTTPRoute
metadata:
  name: {{ include "nhost.fullname" . }}-functions
  labels:
    {{- include "nhost.labels" . | nindent 4 }}
    app.kubernetes.io/component: functions
  {{- with .Values.global.ingress.annotations }}
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  parentRefs:
    - group: gateway.networking.k8s.io
      kind: Gateway
      name: envoy-gateway
      namespace: default
  hostnames:
    - {{ default .Values.global.ingress.hostname .Values.functions.hostname }}
  rules:
    - backendRefs:
        - group: ""
          kind: Service
          name: {{ include "nhost.fullname" . }}-functions
          namespace: {{ .Release.Namespace }}
          port: 80
          weight: 1
      matches:
        - path:
            type: PathPrefix
            value: /v1/functions/
      filters:
      - type: URLRewrite
        urlRewrite:
          path:
            type: ReplacePrefixMatch
            replacePrefixMatch: "/"

##TODO:  if .Values.global.ingress.enableTls 

{{- end }}
